# PSF-LoginServer - master - net.psforever.objects.zones.blockmap.BlockMap
PSF - LoginServer - master - net.psforever.objects.zones.blockmap.BlockMap
Keywords: PSF LoginServer master net.psforever.objects.zones.blockmap.BlockMap

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- BlockMap
- BlockMapEntity
- BlockMapEntry
- Sector
- SectorGroup
- SectorListOf
- SectorPopulation
- SectorTraits

o

net.psforever.objects.zones.blockmap

# BlockMap 

###
Companion class BlockMap

#### object BlockMap

Source
  BlockMap.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BlockMap
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(scale: MapScale, desiredSpanSize: Int): BlockMap

   Overloaded constructor that uses a `MapScale` field, common with `Zone` entities.

   Overloaded constructor that uses a `MapScale` field, common with `Zone` entities.

   scale

     the two-dimensional scale of the map

   desiredSpanSize

     the length and width of a sector

   returns

     a `BlockMap` entity

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  def findSectorIndices(blockMap: BlockMap, p: Vector3, range: Float): Iterable[Int]

    The blockmap is mapped to a coordinate range in two directions, so find the indices of the sectors that correspond to the region defined by the range around a coordinate position.

    The blockmap is mapped to a coordinate range in two directions, so find the indices of the sectors that correspond to the region defined by the range around a coordinate position.

    blockMap

      the blockmap structure

    p

      the coordinate position

    range

      a rectangular range aigned with lateral axes extending from a coordinate position

    returns

      the indices of the sectors in the blockmap structure

11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def quickToSectorGroup(to: Iterable[Sector]): SectorPopulation

    If only one sector, just return that sector.

    If only one sector, just return that sector. If a group of sectors, organize them into a single referential sector.

    to

      all allocated sectors

    returns

      a conglomerate sector which lists all of the entities in the allocated sector(s)

18.  def rangeFromEntity(target: BlockMapEntity, defaultRadius: Option[Float] = None): Float

    Calculate the range expressed by a certain entity that can be allocated into a sector on the blockmap.

    Calculate the range expressed by a certain entity that can be allocated into a sector on the blockmap. Entities have different ways of expressing these ranges.

    target

      the entity

    defaultRadius

      a default radius, if no specific case is discovered; if no default case, the default-default case is a single unit (`1.0f`)

    returns

      the distance from a central position along the major axes

19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped